修复WordPress自动更新失败错误详细方法

都知道WordPress新版本出来需要更新,有的是可以自动更新的,但是在自动更新的过程中有些会出现自动更新错误情况,在本文中,将指导您修复网站中的WordPress自动更新错误。

更新WordPress非常重要,因为过时的网站不是很安全。每次更新都会修复错误并优化新特性和功能。它还提高了网站的安全性。当WordPress无法自动更新时,它会显示一个错误。

为什么WordPress自动更新失败?

WordPress更新失败或无法正常工作可能有多种原因,例如文件权限已更改;安全模式可能是一个原因,服务器脚本超时,PHP内存限制耗尽等。

修复WordPress自动更新错误

这个错误有几个原因。当您遇到此错误时,您需要找出导致错误的原因,然后您需要采取相应的措施。

删除.maintenance文件

有时,当WordPress无法自我更新时,它会将您锁定在您的网站之外。您将无法访问您的网站管理仪表板。当用户访问您的网站时,他们会看到类似“Briefly unavailable for scheduled maintenance”的消息。发生此错误是因为当WordPress尝试自我更新时,它会打开您的网站维护模式。更新失败,因此您的网站陷入维护模式。

修复WordPress自动更新失败错误详细方法插图

维护模式存储在.maintenance文件。因此,您需要找到该文件并将其删除。为此,您需要将您的网站与FTP客户端或cPanel连接并找到.maintenance文件并将其删除。

关闭安全模式

有时关闭安全模式可能会解决WordPress更新问题。您可以使用服务器控制面板轻松关闭安全模式。您只需要编辑php.ini文件。

使用FTP客户端或服务器控制面板打开文件并将此行safe_mode = on更改为此safe_mode = off 。这将关闭安全模式。

之后,您需要重新启动Apache并登录到您的网站。这将解决您网站上的更新问题错误。

文件权限

当WordPress更新自身时,它会在您的服务器上创建一个临时文件。要创建文件WordPress需要您的服务器升级目录的权限。要解决此问题,您需要转到您的网站根目录并找到升级和文件并为其提供写入权限。您可以提供755或777。在给予适当的许可后,WordPress可以自行更新。如果您授予777权限,则需要在更新WordPress后将其更改回 755。

编辑wp-config文件

如果上述方法无法更新WordPress,那么您需要在wp-config文件中手动添加更新的凭据。找到wp-config文件,然后将以下代码添加到其中。

define(‘FS_METHOD’, ‘ftpext’);
define(‘FTP_HOST’, ‘ftp.website.com’);
define(‘FTP_USER’, ‘username’);
define(‘FTP_PASS’, ‘password’);

总结:按照此过程,您将能够修复WordPress自动更新错误。如果所有方法都失败了,那么您需要手动更新WordPress。

THE END
点赞806 分享